Settings Stages
GET /v2/settings/stages — returns stages across all pipelines, flattened. For a single pipeline, see GET /v2/settings/stages/{pipelineId}.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
List of stages
application/json
totalRowsnumberOptional
400
Bad Request
application/json
401
Not Authorized
application/json
500
Unexpected error
application/json
get/settings/stages
GET /v2/settings/stages HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalRows": 1,
"rows": [
{
"id": "sales-pipeline-stage-1",
"name": "Sales Pipeline - First Stage"
}
]
}GET /v2/settings/stages/{pipelineId} — returns the stages for a single pipeline. For the full cross-pipeline list, see GET /v2/settings/stages.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pipelineIdstringRequired
ID of the Pipeline
Responses
200
List of stages for the pipeline
application/json
totalRowsnumberOptional
400
Bad Request
application/json
401
Not Authorized
application/json
404
Not found
application/json
500
Unexpected error
application/json
get/settings/stages/{pipelineId}
GET /v2/settings/stages/{pipelineId} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalRows": 1,
"rows": [
{
"id": "sales-pipeline-stage-1",
"name": "Sales Pipeline - First Stage"
}
]
}Last updated
Was this helpful?

